tigase.jaxmpp.core.client.xmpp.modules.disco

## Class DiscoveryModule

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule<T>
  - - tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaExtendableModule<IQ>
    - - tigase.jaxmpp.core.client.xmpp.modules.AbstractIQModule
      - - tigase.jaxmpp.core.client.xmpp.modules.disco.DiscoveryModule

- All Implemented Interfaces:
    ContextAware, ExtendableModule, InitializingModule, XmppModule

      public class DiscoveryModule
      extends AbstractIQModule

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DiscoveryModule.DefaultNodeDetailsCallback`
    `static class` | `DiscoveryModule.DiscoInfoAsyncCallback`
    `static class` | `DiscoveryModule.DiscoItemsAsyncCallback`
    `static class` | `DiscoveryModule.Identity`
    `static class` | `DiscoveryModule.Item`
    `static interface` | `DiscoveryModule.ServerFeaturesReceivedHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `IDENTITY_CATEGORY_KEY`
    `static String` | `IDENTITY_TYPE_KEY`
    `static String` | `INFO_XMLNS`
    `static String` | `ITEMS_XMLNS`
    `static String` | `SERVER_FEATURES_KEY`

    - ### Fields inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule

      `context, log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiscoveryModule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addServerFeaturesReceivedHandler(DiscoveryModule.ServerFeaturesReceivedHandler handler)`
    `void` | `beforeRegister()` Called just before registration module in XmppModulesManager .
    `void` | `discoverServerFeatures(DiscoveryModule.DiscoInfoAsyncCallback callback)`
    `Criteria` | `getCriteria()` Criteria
    `String[]` | `getFeatures()` Returns features what are implemented by Module.
    `void` | `getInfo(JID jid, DiscoveryModule.DiscoInfoAsyncCallback callback)`
    `void` | `getInfo(JID jid, String node, AsyncCallback callback)`
    `void` | `getInfo(JID jid, String node, DiscoveryModule.DiscoInfoAsyncCallback callback)`
    `void` | `getItems(JID jid, AsyncCallback callback)`
    `void` | `getItems(JID jid, DiscoveryModule.DiscoItemsAsyncCallback callback)`
    `void` | `getItems(JID jid, String node, AsyncCallback callback)`
    `protected void` | `processGet(IQ element)` Method for processing stanza `<iq type='get'>`.
    `protected void` | `processSet(IQ element)` Method for processing stanza `<iq type='set'>`.
    `void` | `removeNodeCallback(String nodeName)`
    `void` | `removeServerFeaturesReceivedHandler(DiscoveryModule.ServerFeaturesReceivedHandler handler)`
    `void` | `setNodeCallback(String nodeName, NodeDetailsCallback callback)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractIQModule

      `process`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaExtendableModule

      `addExtension, getExtensionChain, getFeaturesWithExtensions, removeExtension, write, write, write`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule

      `afterRegister, beforeUnregister, fireEvent, getFirstChild, process, setContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IDENTITY_CATEGORY_KEY

          public static final String IDENTITY_CATEGORY_KEY

      See Also:
        Constant Field Values

    - #### IDENTITY_TYPE_KEY

          public static final String IDENTITY_TYPE_KEY

      See Also:
        Constant Field Values

    - #### INFO_XMLNS

          public static final String INFO_XMLNS

      See Also:
        Constant Field Values

    - #### ITEMS_XMLNS

          public static final String ITEMS_XMLNS

      See Also:
        Constant Field Values

    - #### SERVER_FEATURES_KEY

          public static final String SERVER_FEATURES_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DiscoveryModule

          public DiscoveryModule()

  - ### Method Detail

    - #### addServerFeaturesReceivedHandler

          public void addServerFeaturesReceivedHandler(DiscoveryModule.ServerFeaturesReceivedHandler handler)

    - #### beforeRegister

          public void beforeRegister()

      Description copied from interface: `InitializingModule`
      Called just before registration module in XmppModulesManager . It is good place to check if module is initialized properly.
      Specified by:
        `beforeRegister` in interface `InitializingModule`
      Overrides:
        `beforeRegister` in class `AbstractStanzaModule<IQ>`

    - #### discoverServerFeatures

          public void discoverServerFeatures(DiscoveryModule.DiscoInfoAsyncCallback callback)
                                      throws JaxmppException

      Throws:
        `JaxmppException`

    - #### getCriteria

          public Criteria getCriteria()

      Description copied from interface: `XmppModule`
      Criteria
      Returns:

    - #### getFeatures

          public String[] getFeatures()

      Description copied from interface: `XmppModule`

      Returns features what are implemented by Module.

      See Service Discovery Features

      Returns:
        array of features

    - #### getInfo

          public void getInfo(JID jid,
                              DiscoveryModule.DiscoInfoAsyncCallback callback)
                       throws XMLException,
                              JaxmppException

      Throws:
        `XMLException`
        `JaxmppException`

    - #### getInfo

          public void getInfo(JID jid,
                              String node,
                              AsyncCallback callback)
                       throws XMLException,
                              JaxmppException

      Throws:
        `XMLException`
        `JaxmppException`

    - #### getInfo

          public void getInfo(JID jid,
                              String node,
                              DiscoveryModule.DiscoInfoAsyncCallback callback)
                       throws JaxmppException

      Throws:
        `JaxmppException`

    - #### getItems

          public void getItems(JID jid,
                               AsyncCallback callback)
                        throws XMLException,
                               JaxmppException

      Throws:
        `XMLException`
        `JaxmppException`

    - #### getItems

          public void getItems(JID jid,
                               DiscoveryModule.DiscoItemsAsyncCallback callback)
                        throws XMLException,
                               JaxmppException

      Throws:
        `XMLException`
        `JaxmppException`

    - #### getItems

          public void getItems(JID jid,
                               String node,
                               AsyncCallback callback)
                        throws XMLException,
                               JaxmppException

      Throws:
        `XMLException`
        `JaxmppException`

    - #### processGet

          protected void processGet(IQ element)
                             throws JaxmppException

      Description copied from class: `AbstractIQModule`
      Method for processing stanza `<iq type='get'>`.
      Specified by:
        `processGet` in class `AbstractIQModule`
      Parameters:
        `element` - incoming XMPP stanza
      Throws:
        `JaxmppException`

    - #### processSet

          protected void processSet(IQ element)
                             throws JaxmppException

      Description copied from class: `AbstractIQModule`
      Method for processing stanza `<iq type='set'>`.
      Specified by:
        `processSet` in class `AbstractIQModule`
      Parameters:
        `element` - incoming XMPP stanza
      Throws:
        `JaxmppException`

    - #### removeNodeCallback

          public void removeNodeCallback(String nodeName)

    - #### removeServerFeaturesReceivedHandler

          public void removeServerFeaturesReceivedHandler(DiscoveryModule.ServerFeaturesReceivedHandler handler)

    - #### setNodeCallback

          public void setNodeCallback(String nodeName,
                                      NodeDetailsCallback callback)

Copyright © 2006–2017 Tigase. All rights reserved.